addObservedSynthesisRateSet {AnaCoDa} | R Documentation

## Add gene observed synthesis rates

### Description

`addObservedSynthesisRateSet` returns the observed synthesis rates of the genes within the genome specified.

### Usage

    addObservedSynthesisRateSet(genome, observed.expression.file,
      match.expression.by.id = TRUE)

### Arguments

`genome` | A genome object initialized with `initializeGenomeObject` to add observed expression data.
`observed.expression.file` | A string containing the location of a file containing empirical expression rates (optional).
`match.expression.by.id` | If TRUE (default) observed expression values will be assigned by matching sequence identifier. If FALSE observed expression values will be assigned by order

### Value

Returns the genome after adding the new gene expression values

### Examples

    genome_file <- system.file("extdata", "genome.fasta", package = "AnaCoDa")
    expression_file <- system.file("extdata", "expression.csv", package = "AnaCoDa")
    ## reading genome
    genome <- initializeGenomeObject(file = genome_file)

    ## add expression values after the genome was initiallized,
    ## or adding an additional set of expression values
    genome <- addObservedSynthesisRateSet(genome = genome,
                       observed.expression.file = expression_file)

[Package AnaCoDa version 0.1.3.0 Index]